Index: setup.py
===================================================================
--- setup.py	(revision 3d244899f2298f4e741b8e2c0d6c07c6eba8e4ea)
+++ setup.py	(revision b22117675e1eedd2a3524d385b11685f20d7d8d6)
@@ -166,10 +166,9 @@
 package_data['sans.perspectives.fitting'] = ['media/*','plugin_models/*']
 
-package_dir["sans.perspectives.calculator"] = os.path.join("src", "sans", "perspectives", "calculator")
 packages.extend(["sans.perspectives", "sans.perspectives.calculator"])    
 package_data['sans.perspectives.calculator'] = ['images/*', 'media/*']
     
 # Data util
-package_dir["data_util"] = os.path.join("src", "sansutil")
+package_dir["data_util"] = os.path.join("src", "data_util")
 packages.extend(["data_util"])
 
@@ -249,50 +248,49 @@
 
 
-package_dir["sans"] = os.path.join("src", "sans")
-package_dir["sans.models"] = model_dir
-package_dir["sans.models.sans_extension"] = os.path.join("src", "sans", "models", "sans_extension")
-package_data['sans.models'] = [os.path.join('media', "*.*")]
-package_data['sans.models'] += [os.path.join('media','img', "*.*")]
-packages.extend(["sans","sans.models","sans.models.sans_extension"])
-    
-smearer_sources = [os.path.join(smear_dir, "smearer.cpp"),
-                  os.path.join(smear_dir, "smearer_module.cpp")]
-geni_sources = [os.path.join(gen_dir, "sld2i_module.cpp")]
-if os.name=='nt':
-    smearer_sources.append(os.path.join(igordir, "winFuncs.c"))
-    geni_sources.append(os.path.join(igordir, "winFuncs.c"))
-ext_modules.extend( [ Extension("sans.models.sans_extension.c_models",
-                                sources=model_sources,                 
-                                include_dirs=[igordir, includedir, 
-                                              c_model_dir, numpy_incl_path, cephes_dir],
-                                ),       
-                    # Smearer extension
-                    Extension("sans.models.sans_extension.smearer",
-                              sources = smearer_sources,
-                              include_dirs=[igordir, 
-                                            smear_dir, numpy_incl_path],
-                              ),
-                    
-                    Extension("sans.models.sans_extension.smearer2d_helper",
-                              sources = [os.path.join(smear_dir, 
-                                                "smearer2d_helper_module.cpp"),
-                                         os.path.join(smear_dir, 
-                                                "smearer2d_helper.cpp"),],
-                              include_dirs=[smear_dir, numpy_incl_path],
-                              ),
-                    
-                    Extension("sans.models.sans_extension.sld2i",
-                              sources = [os.path.join(gen_dir, 
-                                                "sld2i_module.cpp"),
-                                         os.path.join(gen_dir, 
-                                                "sld2i.cpp"),
-                                         os.path.join(c_model_dir, 
-                                                "libfunc.c"),
-                                         os.path.join(c_model_dir, 
-                                                "librefl.c"),],
-                              include_dirs=[gen_dir, includedir, 
-                                            c_model_dir, numpy_incl_path],
-                              )
-                    ] )
+#package_dir["sans.models"] = model_dir
+#package_dir["sans.models.sans_extension"] = os.path.join("src", "sans", "models", "sans_extension")
+#package_data['sans.models'] = [os.path.join('media', "*.*")]
+#package_data['sans.models'] += [os.path.join('media','img', "*.*")]
+#packages.extend(["sans","sans.models","sans.models.sans_extension"])
+#    
+#smearer_sources = [os.path.join(smear_dir, "smearer.cpp"),
+#                  os.path.join(smear_dir, "smearer_module.cpp")]
+#geni_sources = [os.path.join(gen_dir, "sld2i_module.cpp")]
+#if os.name=='nt':
+#    smearer_sources.append(os.path.join(igordir, "winFuncs.c"))
+#    geni_sources.append(os.path.join(igordir, "winFuncs.c"))
+#ext_modules.extend( [ Extension("sans.models.sans_extension.c_models",
+#                                sources=model_sources,                 
+#                                include_dirs=[igordir, includedir, 
+#                                              c_model_dir, numpy_incl_path, cephes_dir],
+#                                ),       
+#                    # Smearer extension
+#                    Extension("sans.models.sans_extension.smearer",
+#                              sources = smearer_sources,
+#                              include_dirs=[igordir, 
+#                                            smear_dir, numpy_incl_path],
+#                              ),
+#                    
+#                    Extension("sans.models.sans_extension.smearer2d_helper",
+#                              sources = [os.path.join(smear_dir, 
+#                                                "smearer2d_helper_module.cpp"),
+#                                         os.path.join(smear_dir, 
+#                                                "smearer2d_helper.cpp"),],
+#                              include_dirs=[smear_dir, numpy_incl_path],
+#                              ),
+#                    
+#                    Extension("sans.models.sans_extension.sld2i",
+#                              sources = [os.path.join(gen_dir, 
+#                                                "sld2i_module.cpp"),
+#                                         os.path.join(gen_dir, 
+#                                                "sld2i.cpp"),
+#                                         os.path.join(c_model_dir, 
+#                                                "libfunc.c"),
+#                                         os.path.join(c_model_dir, 
+#                                                "librefl.c"),],
+#                              include_dirs=[gen_dir, includedir, 
+#                                            c_model_dir, numpy_incl_path],
+#                              )
+#                    ] )
         
 # SasView
